Bug 137416 - CAN-2004-0885 SSLCipherSuite bypass
Summary: CAN-2004-0885 SSLCipherSuite bypass
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd   
(Show other bugs)
Version: 2
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL: http://issues.apache.org/bugzilla/sho...
Whiteboard: public=20041005,impact=low
Keywords: Security
Depends On:
Blocks: CVE-2004-0885
TreeView+ depends on / blocked
 
Reported: 2004-10-28 12:53 UTC by Mark J. Cox
Modified: 2008-01-29 09:33 UTC (History)
0 users

Fixed In Version: 2.0.51-2.9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-12 21:30:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2004-10-28 12:53:49 UTC
An issue has been discovered in the mod_ssl module when configured to
use the "SSLCipherSuite" directive in directory or location
context.
If a particular location context has been configured to require a
specific set of cipher suites, then a client will be able to access
that location using any cipher suite allowed by the virtual host
configuration.

This issue was reported in Apache bugzilla.

This is a fairly rare and uncommon configuration, so the security
impact is low.

Comment 1 Joe Orton 2004-11-12 21:30:04 UTC
Fixed in 2.0.51-2.9 for FC2:

http://www.redhat.com/archives/fedora-announce-list/2004-November/msg00046.html



Note You need to log in before you can comment on or make changes to this bug.